/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-01-19
 * 描述            ：冶金规范工序点表(制程)
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.impl;
import market.Com.vo.CommonPage;
import market.Com.vo.ResultModel;
import market.Qms.metallurgy.mapper.ComMscStationMapper;
import market.Qms.metallurgy.service.ComMscStationService;
import market.Qms.metallurgy.vo.ComMscStation;

import com.hnshituo.basic.service.impl.BaseServiceImpl;
import com.hnshituo.basic.spring.remoting.annotation.RemoteService;

@RemoteService(path="ComMscStationService")
public class ComMscStationServiceImpl extends BaseServiceImpl<ComMscStation,Object> implements ComMscStationService {

	/****
	 * 通过工序代码按字母排序后依次根据全程工序顺序号对应的工序点名称进行拼接形成  工序路径
	 * @param cp
	 * @return
	 */
	public ResultModel doQueryStationWeb(CommonPage<ComMscStation> cp){
		ResultModel rm = new ResultModel();
		int pageIndex = cp.getPageIndex();
		int pageSize = cp.getPageSize();
		
		try {
			ComMscStation cbp = cp.getObject();
			//设置查询条件
			String aa ="";
		if(cbp.getMsc()!=null&&!"".equals(cbp.getMsc())){
			 aa = this.getMapper(ComMscStationMapper.class).doSelectStation(cbp);
		}
			rm.setData(aa);
			rm.setState("200");
		} catch (Exception ex) {
			rm.setState("500");
			rm.setMsgInfo("查询失败!");
			ex.printStackTrace();
		}
		return rm;
	}
}
